﻿var inputFolder = Folder.selectDialog( "ファイルを開くフォルダを指定してください");
if(inputFolder){//フォルダが選択されたら
    var fileList = inputFolder.getFiles("*.ai");// 選択フォルダ内の *.ai ファイルリストを取得

    for(var i=0; i < fileList.length; i++){  //ファイルの総数だけ作業を繰り返す
        var docRef = app.open(fileList[i]); //ファイルを開く
    
        deleteLayer();//関数
    
        docRef.close(SaveOptions.SAVECHANGES);// 変更があった場合は保存して閉じる
    }
    alert ("作業が完了しました");
};

function deleteLayer(){
    var docObj = activeDocument;
    var len = docObj.layers.length;     //レイヤー数を数える
    if(len === 1){  //レイヤーが１つなら
        return; //処理の中止
     };
    for (var i = len - 1; i >= 0; i--){//レイヤーの数だけ繰返す
        var d = docObj.layers[i];
        var t = d.compoundPathItems.length + d.graphItems.length + d.groupItems.length + d.legacyTextItems.length + d.meshItems.length +
        d.pathItems.length + d.placedItems.length + d.pluginItems.length + d.rasterItems.length + d.symbolItems.length + d.textFrames.length;
        //オブジェクト・パス・テキスト・グループなどの数を数える
        if( t === 0){   //tの数が０なら
            d.locked = false;   //レイヤーのロック解除
            d.remove(); //レイヤー削除
        }
    }
}